{ inputs, config, pkgs, ... }:

{
  programs.git = {
    enable = true;
    userName = "Thomas Avé";
    userEmail = "email@thomasave.be";
    aliases = {
      s = "status";
      a = "add";
    };
    ignores = [
        "*.direnv/"
    ];
    extraConfig = {
      credentials.helper = "store";
      pull.rebase = false;
      push.autoSetupRemove = true;
      init.defaultBranch = "master";
      diff.noprefix = true;
      color.ui = "auto";
      core = {
        excludesfile = "~/.gitignore";
        editor = "${pkgs.neovim}/bin/nvim";
      };
    };
  };
}
